import { Component } from "../component";
import { Project } from "../project";
import { Task } from "../task";
/**
 * (experimental) Adds standard AWS CDK tasks to your project.
 *
 * @experimental
 */
export declare class CdkTasks extends Component {
    /**
     * (experimental) Synthesizes your app.
     *
     * @experimental
     */
    readonly synth: Task;
    /**
     * (experimental) Synthesizes your app and suppresses stdout.
     *
     * @experimental
     */
    readonly synthSilent: Task;
    /**
     * (experimental) Deploys your app.
     *
     * @experimental
     */
    readonly deploy: Task;
    /**
     * (experimental) Destroys all the stacks.
     *
     * @experimental
     */
    readonly destroy: Task;
    /**
     * (experimental) Diff against production.
     *
     * @experimental
     */
    readonly diff: Task;
    /**
     * (experimental) Watch task.
     *
     * @experimental
     */
    readonly watch: Task;
    /**
     * @experimental
     */
    constructor(project: Project);
}
