import { CiConfigurationOptions } from ".";
import { Project } from "../project";
import { CiConfiguration } from "./configuration";
import { GitlabConfiguration } from "./gitlab-configuration";
/**
 * (experimental) A GitLab CI for templates that are created and included in the `.gitlab-ci.yml` file.
 *
 * @experimental
 */
export declare class NestedConfiguration extends CiConfiguration {
    /**
     * @experimental
     */
    readonly parent: GitlabConfiguration;
    /**
     * @experimental
     */
    constructor(project: Project, parent: GitlabConfiguration, name: string, options?: CiConfigurationOptions);
}
