import { Component } from "../component";
import { Project } from "../project";
/**
 * @experimental
 */
export interface ProjenrcOptions {
    /**
     * (experimental) The name of the projenrc file.
     *
     * @default ".projenrc.js"
     * @experimental
     */
    readonly filename?: string;
}
/**
 * (experimental) Sets up a javascript project to use TypeScript for projenrc.
 *
 * @experimental
 */
export declare class Projenrc extends Component {
    private readonly rcfile;
    /**
     * @experimental
     */
    constructor(project: Project, options?: ProjenrcOptions);
    private generateProjenrc;
}
