import { Project } from "./project";
/**
 * (experimental) A Testing static class with a .synth helper for getting a snapshots of construct outputs. Useful for snapshot testing with Jest.
 *
 * @experimental
 * @example
 *
 * `expect(Testing.synth(someProject)).toMatchSnapshot()`
 */
export declare class Testing {
    /**
     * (experimental) Produces a simple JS object that represents the contents of the projects with field names being file paths.
     *
     * @param project the project to produce a snapshot for.
     * @returns : any }
     * @experimental
     */
    static synth(project: Project): Record<string, any>;
    private constructor();
}
