import { Component } from "../component";
import { TypeScriptProject } from "../typescript";
/**
 * @experimental
 */
export interface ProjenrcOptions {
    /**
     * (experimental) The name of the projenrc file.
     *
     * @default ".projenrc.ts"
     * @experimental
     */
    readonly filename?: string;
    /**
     * (experimental) A directory tree that may contain *.ts files that can be referenced from your projenrc typescript file.
     *
     * @default "projenrc"
     * @experimental
     */
    readonly projenCodeDir?: string;
}
/**
 * (experimental) Sets up a typescript project to use TypeScript for projenrc.
 *
 * @experimental
 */
export declare class Projenrc extends Component {
    private readonly rcfile;
    /**
     * @experimental
     */
    constructor(project: TypeScriptProject, options?: ProjenrcOptions);
    private generateProjenrc;
}
